./www/thoth, Minimalistic blog engine

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.2.1nb3, Package name: ruby193-thoth-0.2.1nb3, Maintainer: pkgsrc-users

Thoth is a blog engine written in Ruby and based on Ramaze and Sequel.
Its simple, elegant architecture, minimalist featureset, and extensible
codebase make it both fast and easy to customize.


Required to run:
[textproc/ruby-redcloth] [textproc/ruby-hpricot] [databases/ruby-sequel] [textproc/ruby-builder] [www/thin] [www/ramaze] [www/ruby-cssmin] [www/ruby-jsmin] [misc/ruby-configuration] [lang/ruby193-base] [www/ruby-erubis]

Master sites:

SHA1: 7d0147fac9854bb8e70b01aed076bfacb0fa8e17
RMD160: f5f2574be89cbed41d3c81cfaab8089205c1d568
Filesize: 58 KB

Version history: (Expand)


CVS history: (Expand)


   2013-02-11 05:58:17 by Takahiro Kambe | Files touched by this commit (1) | Package updated
Log message:
Depends on newer version of ruby-erubis.

Bump PKGREVISION.
   2011-12-18 08:51:56 by Steven Drake | Files touched by this commit (1)
Log message:
www/erubis => www/ruby-erubis26
   2011-11-23 06:35:29 by Takahiro Kambe | Files touched by this commit (1) | Package updated
Log message:
Use lang/ruby/json.mk to handle dependency to ruby-json.

Bump PKGREVISION since dependency would change with ruby193-base.
   2011-08-13 02:33:00 by Takahiro Kambe | Files touched by this commit (1) | Package updated
Log message:
- Fix dependency pattern.
- Also relax dependency in gemspec.

Bump PKGREVISION.
   2010-09-13 16:12:15 by Takahiro Kambe | Files touched by this commit (9)
Log message:
* Add CONFLICTS a pattern matches previous package name
  without "${RUBY_PKGPREFIX}-".
   2010-09-10 15:25:12 by Takahiro Kambe | Files touched by this commit (4) | Package updated
Log message:
Update www/thoth to 0.2.1.

* Use lang/ruby/gem.mk instead of misc/rubygems/rubygem.mk.
* Add LICENSE.
* Remove default value of GEM_BUILD.
* Update dependency according to gemspec.
* Add CONFLICTS since it will install the same name commands both
  ruby18 and ruby19 based packages.

Exact changes are unknown.
   2009-06-15 00:00:42 by Joerg Sonnenberger | Files touched by this commit (316)
Log message:
Convert @exec/@unexec to @pkgdir or drop it.
   2008-04-21 18:35:06 by Johnny C. Lam | Files touched by this commit (1) | Package updated
Log message:
Update patch checksum